Subject: bug#65509: [PATCH] Use correct env var when opening frames with freedesktop menu entries

From: Davide Masserut <[email-masked]>
Date: Sat, 02 Sep 2023 18:24:43 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Stefan Kangas <[email-masked]>
>> Date: Fri, 1 Sep 2023 20:43:03 +0200
>> Cc: Eli Zaretskii <[email-masked]>, Davide Masserut 
>> <[email-masked]>, [email-masked]
>>
>> forcemerge 64310 65509
>> thanks
>>
>> Po Lu writes:
>>
>> > I think this is the fix for the bug I couldn't reproduce 
>> > earlier,
>> > bug#64310.  The patch seems appropriate, thanks.
>>
>> >From the previous discussion, it seems like we wanted to get 
>> >this
>> fixed on emacs-29?
>>
>> Eli, WDYT?
>
> I don't know enough about these Freedesktop shortcuts to have an
> opinion.  If this is installed only for the PGTK build, and you 
> think
> it solves the problem, feel free to install on emacs-29.

For the same reason that the current emacsclient.desktop doesn't 
work with Wayland, installing the patch would break PGTK builds 
under Xorg because they would look for an environment variable 
that is not set by Xorg DEs.  Sorry, I've just noticed it.

We could choose to always open a new frame instead of reusing 
exiting ones. How does Emacs behave on other operating systems?